package com.jachdev.consumerprotection.network;

import com.jachdev.consumerprotection.AppConstant;
import com.jachdev.consumerprotection.data.AppResponse;
import com.jachdev.consumerprotection.data.BotResponse;
import com.jachdev.consumerprotection.data.LipidProfile;
import com.jachdev.consumerprotection.data.Report;
import com.jachdev.consumerprotection.data.User;

import io.reactivex.Single;
import retrofit2.http.Body;
import retrofit2.http.GET;
import retrofit2.http.POST;
import retrofit2.http.Query;

/**
 * Created by Asanka on 9/20/2021.
 */
public interface BotApiInterface {

    @GET(AppConstant.PATH_GET_MESSAGE)
    Single<BotResponse> getMessage(
            @Query("bid") String brainId, @Query("key") String key,
            @Query("uid") String uid, @Query("msg") String msg
            );
}
