package com.jachdev.consumerprotection.ui.alarm;

import android.content.Intent;
import android.os.Bundle;

import com.airbnb.lottie.LottieAnimationView;
import com.jachdev.commonlibs.base.BaseActivity;
import com.jachdev.consumerprotection.R;

import butterknife.BindView;

public class SleepingProgressActivity extends BaseActivity {

    public static final String KEY_TITLE = "com.jachdev.consumerprotection.ui.alarm.KEY_TITLE";

    @BindView(R.id.lav)
    LottieAnimationView lav;

    @Override
    protected int layoutRes() {
        return R.layout.activity_sleeping_progress;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        onNewIntent(getIntent());
        init();
    }

    @Override
    protected void onNewIntent(Intent intent) {
        super.onNewIntent(intent);

        if(intent == null)return;

        Bundle bundle = intent.getExtras();

        setTitle(bundle.getInt(KEY_TITLE));
    }

    private void init() {

        lav.playAnimation();
    }
}